<f:if condition="{model.showElement}">
	<div class="csc-form-{model.elementCounter} csc-form-element csc-form-element-{model.elementTypeLowerCase} o-form__item t-medium-24 columns is-last-in-row">
		<f:form.textfield
			class="{model.additionalArguments.class} o-form__field o-form__field--text js-check-has-value {f:if(condition: model.validationErrorMessages, then: 'parsley-error')}"
			dir="{model.additionalArguments.dir}"
			id="{model.additionalArguments.id}"
			lang="{model.additionalArguments.lang}"
			style="{model.additionalArguments.style}"
			title="{model.additionalArguments.title}"
			accesskey="{model.additionalArguments.accesskey}"
			tabindex="{model.additionalArguments.tabindex}"
			onclick="{model.additionalArguments.onclick}"

			name="{model.additionalArguments.prefix}[{model.additionalArguments.name}]"
			value="{model.additionalArguments.value}"

			autofocus="{model.additionalArguments.autofocus}"
			maxlength="{model.additionalArguments.maxlength}"
			size="{model.additionalArguments.size}"
			placeholder="{model.additionalArguments.placeholder}"
			pattern="{model.additionalArguments.pattern}"
			required="{model.additionalArguments.required}"
			type="{model.additionalArguments.type}"

			errorClass="{model.additionalArguments.errorClass}"
			additionalAttributes="{model.htmlAttributes}"
		/>
		<label for="{model.additionalArguments.id}" class="o-form__label">
			{model.additionalArguments.label}
		</label>
		<f:if condition="{model.validationErrorMessages}">
			<ul class="parsley-errors-list filled" id="parsley-id-{model.elementCounter}"><li class="parsley-required">
				<f:if condition="{model.mandatoryValidationMessages}">
					<f:for each="{model.mandatoryValidationMessages}" as="mandatoryValidationMessage" iteration="iterator">{mandatoryValidationMessage}<f:if condition="{iterator.isLast}"><f:else> - </f:else></f:if></f:for>
				</f:if>
				<f:if condition="{model.validationErrorMessages}">
					<f:for each="{model.validationErrorMessages}" as="errorValidationMessage" iteration="iterator">{errorValidationMessage}<f:if condition="{iterator.isLast}"><f:else> - </f:else></f:if></f:for>
				</f:if>
			</li></ul>
		</f:if>
	</div>
</f:if>